明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 1392|回复: 5

[提问] 求教:entmake创建块问题

[复制链接]
发表于 2013-12-17 16:39 | 显示全部楼层 |阅读模式
如果图形中无 _ARCHTICK 块(标注尺寸箭头),怎么可以用lsp创建?

下面代码不知为何不能创建!
   (entmake (list
           '(0 . "BLOCK")
           '(100 . "AcDbEntity")
           '(67 . 0)
           '(8 . "0")
           '(100 . "AcDbBlockBegin")
           '(70 . 0)
           '(10 0.0 0.0 0.0)
           '(2 . "_ARCHTICK")
           '(1 . "")
         )
     )

发表于 2013-12-17 17:20 | 显示全部楼层
entmake块要分三部分,块头,块数据,块尾......
 楼主| 发表于 2013-12-17 18:31 来自手机 | 显示全部楼层
1993063 发表于 2013-12-17 17:20
entmake块要分三部分,块头,块数据,块尾......

能说详细些吗?
发表于 2013-12-17 19:14 | 显示全部楼层
smartstar 发表于 2013-12-17 00:31
能说详细些吗?

一个简单的例子
(Defun MakSAH nil
        (Entmake '((0 . "Block") (100 . "AcDbEntity") (67 . 0) (8 . "0") (370 . -2) (100 . "AcDbBlockReference") (2 . "块名") (10 0 0 0) (70 . 0)))
        (Entmake '((0 . "LINE") (100 . "AcDbEntity") (67 . 0) (8 . "0") (62 . 0) (370 . -2) (100 . "AcDbLine") (10 2.199970234791862 0.166637200455256 0) (11 3.19994046958368 0 0)))
        (Entmake '((0 . "ENDBLK") (100 . "AcDbBlockEnd") (8 . "0")))
        (princ)
)
发表于 2013-12-17 19:23 来自手机 | 显示全部楼层
entmake创建图元必要条件(慢慢更新) http://bbs.mjtd.com/forum.php?mod=viewthread&tid=92482&extra=&mobile=yes (UC浏览器)
发表于 2016-5-11 00:21 | 显示全部楼层
1993063 发表于 2013-12-17 19:14
一个简单的例子
(Defun MakSAH nil
        (Entmake '((0 . "Block") (100 . "AcDbEntity") (67 . 0) (8 . "0 ...

学习了!!!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-11-21 01:11 , Processed in 0.165110 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表